#ifndef XLOADER_H
#define XLOADER_H

#include "Mesh.h"

namespace CBK
{
	namespace Shapes
	{
		class xLoader : public Mesh
		{
		public:
			xLoader(const std::string& fileName, const MeshParam& params);
			virtual ~xLoader(void);

			virtual item& load(const std::string& fileName, const MeshParam& params);

		protected:

		private:
			static std::string materialToString(const D3DMATERIAL9& material);
		};
	}
}

#endif //XLOADER_H